net.dontdrinkandroot.wicket.bootstrap.behavior

## Class IconBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - org.apache.wicket.markup.transformer.AbstractTransformerBehavior
    - - net.dontdrinkandroot.wicket.bootstrap.behavior.IconBehavior

All Implemented Interfaces:
  Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.markup.transformer.ITransformer, org.apache.wicket.util.io.IClusterable

    public class IconBehavior
    extends org.apache.wicket.markup.transformer.AbstractTransformerBehavior

Prepends and/or appends an Icon to the body of the attached component.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IconBehavior()`
`IconBehavior(IconClass beforeIcon, boolean inverted)`

### Method Summary

Methods
`IconClass` `getAfterIcon()`
`protected org.apache.wicket.model.IModel<IconClass>` `getAfterIconModel()`
`IconClass` `getBeforeIcon()`
`protected org.apache.wicket.model.IModel<IconClass>` `getBeforeIconModel()`
`boolean` `isAfterIconInverted()`
`boolean` `isBeforeIconInverted()`
`IconBehavior` `setAfterIcon(IconClass afterIcon, boolean inverted)`
`IconBehavior` `setBeforeIcon(IconClass beforeIcon, boolean inverted)`
`CharSequence` `transform(org.apache.wicket.Component component, CharSequence output)`

### Methods inherited from class org.apache.wicket.markup.transformer.AbstractTransformerBehavior

`afterRender, beforeRender, detach, newResponse`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`bind, canCallListenerInterface, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, renderHead, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IconBehavior

    public IconBehavior()

#### IconBehavior

    public IconBehavior(IconClass beforeIcon,
                boolean inverted)

### Method Detail

#### transform

    public CharSequence transform(org.apache.wicket.Component component,
                         CharSequence output)
                           throws Exception

Specified by:
  `transform` in interface `org.apache.wicket.markup.transformer.ITransformer`
Specified by:
  `transform` in class `org.apache.wicket.markup.transformer.AbstractTransformerBehavior`
Throws:
  `Exception`

#### getBeforeIcon

    public IconClass getBeforeIcon()

#### setBeforeIcon

    public IconBehavior setBeforeIcon(IconClass beforeIcon,
                             boolean inverted)

#### getAfterIcon

    public IconClass getAfterIcon()

#### setAfterIcon

    public IconBehavior setAfterIcon(IconClass afterIcon,
                            boolean inverted)

#### isBeforeIconInverted

    public boolean isBeforeIconInverted()

#### isAfterIconInverted

    public boolean isAfterIconInverted()

#### getBeforeIconModel

    protected org.apache.wicket.model.IModel<IconClass> getBeforeIconModel()

#### getAfterIconModel

    protected org.apache.wicket.model.IModel<IconClass> getAfterIconModel()